Test::Base Class Referenceabstract

Base class for all tests to be run More...

`#include <test.hh>`

## Public Member Functions

| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual bool | run (void)=0
| Run test.
virtual | ~Base (void)
| Destructor.

## Static Public Member Functions

static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.

## Static Public Attributes

static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.

## Related Symbols

(Note that these are not member symbols.)
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Base class for all tests to be run

Definition at line 103 of file test.hh.

## Constructor & Destructor Documentation

## Base()

Test::Base::Base | ( | const std::string & | s | ) |

Create and register test with name s.

Definition at line 59 of file test.cpp.

## ~Base()

Test::Base::~Base | ( | void |  | ) |

virtual

Destructor.

Definition at line 92 of file test.cpp.

## Member Function Documentation

## sort()

void Test::Base::sort | ( | void |  | ) |

static

Sort tests alphabetically.

Definition at line 77 of file test.cpp.

## name()

const std::string & Test::Base::name | ( | void |  | ) | const

inline

Return name of test.

Definition at line 50 of file test.hpp.

## tests()

Base * Test::Base::tests | ( | void |  | ) |

inline static

Return all tests.

Definition at line 54 of file test.hpp.

## next() [1/2]

Base * Test::Base::next | ( | void |  | ) | const

inline

Return next test.

Definition at line 58 of file test.hpp.

## next() [2/2]

void Test::Base::next | ( | Base * | n | ) |

inline

Set next test.

Definition at line 62 of file test.hpp.

## run()

virtual bool Test::Base::run | ( | void |  | ) |

pure virtual

Run test.

Implemented in Test::AFC, Test::Array::SharedArrayIterator, Test::Array::VarArgsIterator, Test::Array::VarArrayIterator, Test::Array::ViewArrayIterator, Test::Assign::BoolTest, Test::Assign::FloatTest, Test::Assign::IntTest, Test::Assign::SetTest, Test::Branch::BoolTest, Test::Branch::FloatTest, Test::Branch::IntTest, Test::Branch::SetTest, Test::FlatZinc::FlatZincTest, Test::Float::Test, Test::Int::BinPacking::CliqueMBPT, Test::Int::Distinct::Pathological, Test::Int::Test, Test::LDSB::LDSB< T >, Test::LDSB::LDSBLatin, Test::LDSB::LDSBSet< T >, Test::NoGoods::NoGoods< Model, ValBranch >, Test::Region, Test::Search::BAB< Model >, Test::Search::DFS< Model >, Test::Search::LDS< Model >, Test::Search::PBS< Model, Engine >, Test::Search::RBS< Model, Engine >, Test::Search::SEBPBS< Model >, and Test::Set::SetTest.

## fixpoint()

bool Test::Base::fixpoint | ( | void |  | ) |

inline static

Throw a coin whether to compute a fixpoint.

Definition at line 66 of file test.hpp.

## Friends And Related Symbol Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

related

Main function.

Definition at line 208 of file test.cpp.

## Member Data Documentation

## rand

Gecode::Support::RandomGenerator Test::Base::rand = Gecode::Support::RandomGenerator()

static

Random number generator.

Definition at line 134 of file test.hh.

The documentation for this class was generated from the following files:

- test/test.hh
- test/test.cpp
- test/test.hpp